Subject: Re: [RFC/PATCH] Implement poor-man's submodule support in pre-commit hook

From: Andreas Ericsson <[email-masked]>
Date: Wed, 20 Dec 2006 13:35:34 +0100

Jakub Narebski wrote:
> Brian Gernhardt wrote:
> 
>> On Dec 20, 2006, at 5:08 AM, Andy Parkins wrote:
>>
>>> Hello,
>>>
>>> Help...
>>>
>>>> +if [ -f .gitmodules ]; then
>>> This doesn't work because git-commit is not necessarily in the root  
>>> of the
>>> working tree.  How do I safely get that root?  While ${GIT_DIR}/..  
>>> would work
>>> it is not guaranteed.
>> The way to do that seems to be "git rev-parse --git-dir".  I'm not  
>> sure why it's not just "git --git-dir" or similar (probably just  
>> historical reasons), but there you go.
> 
> Because it is "git --git-dir=<PATH>" to set it (probably).
> Although it is not insurmountable difficulity...

AFAIR, the discussions long ago went along the lines of "if no argument 
is passed to any of the --*-dir options, print out the current value". 
If "git --git-dir" doesn't print the directory name of the .git 
directory inside the repo you're currently in, I'd consider it a bug.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se